{
  ...
}:
{
  name = "service-yggdrasil";

  clan = {
    directory = ./.;
    inventory = {
      machines.server = { };

      instances = {
        yggdrasil-test = {
          module.name = "@clan/yggdrasil";
          module.input = "self";
          roles.default.machines."server".settings = { };
        };
      };
    };
  };

  nodes = {
    server = {
      services.yggdrasil = {
      };
    };
  };

  testScript = ''
    start_all()

    server.wait_for_unit("yggdrasil")

    # Check that garage is running
    server.succeed("systemctl status yggdrasil")
  '';
}
